# This must be manually updated:
%define upstreamversion 0.5.20

Name:           satellite-schema
Group:          Applications/Internet
Summary:        Satellite schema upgrades and spacewalk-schema overrides
Version:        5.3.0.24
Release:        1%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2
Url:            http://fedorahosted.org/spacewalk/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

Requires:       spacewalk-schema >= %{upstreamversion}
Obsoletes:      rhn-satellite-schema < 5.3.0

%define rhnroot /etc/sysconfig/rhn

%description
satellite-schema package contains satellite schema upgrade scripts
and spacewalk-schema overrides.

%prep
%setup -q -n satellite-schema-%{version}

%build

sed -i -e "s!SCHEMA_NAME!'%{name}'!" \
        -e "s!SCHEMA_VERSION!'%{version}'!" \
        -e "s!SCHEMA_RELEASE!'%{release}'!" schema-override/tables/rhnVersionInfo_data.sql

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/schema-override
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/schema-override
tar cf - -C upgrade . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}/schema-upgrade
%dir %{rhnroot}/schema-override
%{rhnroot}/schema-upgrade/*
%{rhnroot}/schema-override/*

%changelog
* Wed Mar 26 2014 Jan Dobes 5.3.0.24-1
- 1080985 - increase length of rhnCVE name column

* Tue Jul 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.23-1
- 511134 - fixing issue where upgrades from 3.7 would leave kickstart --urls in
  a state that wouldnt work (jsherril@redhat.com)
- 511091 - fixing issue where after upgrades, some profiles were set to a virt
  type of kvm (jsherril@redhat.com)
* Tue Jul 07 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- 509029 - schema/upgrade - update the text used for action type =
  kickstart_guest.initiate (bbuckingham@redhat.com)

* Mon May 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- upgrade links were replaced with ref files

* Thu May 14 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- added sql upgrade links for latest spacewalk-schema

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- removed rhnFAQClass, rhnFAQ overrides (mzazrivec@redhat.com)

* Mon Apr 27 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-8

* Wed Apr 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-6

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.15-1
- 487319 - adding upgrade scripts from pre goldmember era (mzazrivec@redhat.com)

* Wed Apr 15 2009 Milan Zazrivec 5.3.0.14-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-5

* Tue Apr 07 2009 Milan Zazrivec 5.3.0.13-1
- added sql upgrade scripts for bugs: 494475, 460136, 480060

* Tue Mar 31 2009 Milan Zazrivec 5.3.0.12-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-1

* Thu Mar 12 2009 Milan Zazrivec 5.3.0.11-1
- added sql upgrade scripts from spacewalk-schema-0.5.17-1

* Thu Feb 19 2009 Milan Zazrivec 5.3.0.10-1
- added sql upgrade scripts from spacewalk-schema-0.5.9-1

* Fri Feb 13 2009 Milan Zazrivec 5.3.0.9-6
- added sql upgrade scripts from spacewalk-schema-0.5.7

* Wed Feb 11 2009 Milan Zazrivec 5.3.0.9-5
- added sql upgrade scripts from spacewalk-schema-0.5.4

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-4
- bump upstreamversion
- make the requires >= instead of =

* Fri Jan 23 2009 jesus m. rodriguez 5.3.0.9-3
- rebuild

* Fri Jan 23 2009 Milan Zazrivec 5.3.0.9-1
- requires latest spacewalk-schema (ver. 0.5.2)
- obsolete rhn-satellite-schema < 5.3.0

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.7-1
- bump version to jump over previous tags (from spacewalk-schema)

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.1-1
- minor changes

* Fri Jan 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.0-1
- initial packaging
